<?php
# application/middleware/Auth_kepegawaian.php

class Auth_adm_payroll implements Luthier\MiddlewareInterface
{
    public function run($args = [])
    {
        if(ci()->session->userdata('adm_payroll')) {
            return;
        } else {
            return redirect(route('page.not.found'));
        }
    }
}